clear all
close all
clc

load solar_data

%% statistical analysis

mean(sol_d)
for i=1:5
x=xcorr(sol_d(:,1),sol_d(:,i),50,'coeff');
plot(x)
end

%% Linear Signal model estimation
systemIdentification % open SysId toolbox GUI

% In the GUI obtain linear ARX models, evaluate prediction performance for
% several regressor lengths.

%% Non linear Signal model
%Split data (without removign offset)
dataset=iddata(sol_d(1:3000,1),[])
dataval=iddata(sol_d(3000:end,1),[])

% Estimate non-linear ARX model with sigmoidal NN structure
pred1=nlarx(dataset,12,'sigmoidnet')

% Evaluate performance on EStimation and Validation data
% Estimation
compare(dataset,pred1,1)
compare(dataset,pred1,12)
%Validation
compare(dataval,pred1,1)
compare(dataval,pred1,12)

